Skip to main content
Identity & Access/ZIAM

ZiamRefreshToken

Refreshes an access token by ZIAM refresh token. Refresh tokens are stored by hash and rotated on successful refresh.

POST/api/login/oauth/refresh_token

Operation ID

ZiamRefreshToken

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • access_token
    String

    Bearer access token used to call userinfo and ZIAM management APIs.

    Example: eyJ...

  • refresh_token
    String

    Refresh token used to obtain a new access token. ZIAM stores only the token hash and rotates refresh tokens on use.

    Example: eyJ...

  • id_token
    String

    OIDC ID token returned when scope contains openid.

    Example: eyJ...

  • token_type
    String

    OAuth token type.

    Example: Bearer

  • expires_in
    Long

    Access token lifetime in seconds.

    Example: 3600

  • scope
    String

    Granted OAuth scopes.

    Example: openid profile email